Subject: Re: [PATCH 3/3] ARM: omap2: move platform-specific asm-offset.h to arch/arm/mach-omap2

From: Tony Lindgren <[email-masked]>
Date: Tue, 9 Apr 2019 07:17:59 -0700

* Masahiro Yamada <[email-masked]> [190409 07:06]:
> On Tue, Apr 9, 2019 at 2:17 PM Keerthy <[email-masked]> wrote:
> >
> >
> >
> > On 09/04/19 10:37 AM, Masahiro Yamada wrote:
> > > On Tue, Apr 9, 2019 at 2:00 PM Keerthy <[email-masked]> wrote:
> > >>
> > >>
> > >>
> > >> On 08/04/19 9:48 PM, Tony Lindgren wrote:
> > >>> Hi,
> > >>>
> > >>> * Masahiro Yamada <[email-masked]> [190408 07:56]:
> > >>>> <generated/ti-pm-asm-offsets.h> is only generated and included
> > >>>> by arch/arm/mach-omap2/, so it does not need to reside in the
> > >>>> globally visible include/generated/.
> > >>>>
> > >>>> I moved and renamed it to arch/arm/mach-omap2/pm-asm-offsets.h
> > >>>> since the prefix 'omap2-' is just redundant in mach-omap2/.
> > >>>>
> > >>>> Signed-off-by: Masahiro Yamada <[email-masked]>
> > >>>> ---
> > >>>>
> > >>>> Can this be applied to ARM-SOC tree in a series?
> > >>>> (with Ack from the platform sub-maintainer.)
> > >>>>
> > >>>> ti-pm-asm-offsets.h does not need to reside in include/generated/,
> > >>>> but you may ask "Why must it get out of include/generated/?"
> > >>>>
> > >>>> My main motivation is to avoid a race condition in the currently
> > >>>> proposed patch:
> > >>>>
> > >>>> https://lore.kernel.org/patchwork/patch/1052763/
> > >>>>
> > >>>> This patch tries to embed some build artifacts into the kernel.
> > >>>>
> > >>>> If arch/arm/mach-omap2/ and kernel/ are built at the same time,
> > >>>> it may embed a truncated file.
> > >>>
> > >>> Looks like a nice improvment to me, adding Keerthy and Dave to Cc.
> > >>>
> > >>> Keerthy and Dave, can you please test this series with am3 and am4
> > >>> PM code?
> > >>
> > >> Tested for Deep Sleep0 on AM33xx Beaglebone-black.
> > >> Tested for Deep Sleep0 on AM437x-gp-evm.
> > >>
> > >> Applied this on top of Tony's for-next with the gpio patch
> > >> required for RTC+DDR mode on am437x-gp-evm.
> > >
> > > Was it applied to TI tree?
> > >
> > > If so ...
> > >
> > > Arnd, Olof,
> > > Please just ignore this patch
> > > since it looks it was already applied to TI tree.
> >
> > Masahiro Yamada,
> >
> > No i manually applied this on top.
> >
> > Regards,
> > Keerthy
> 
> Keerthy,
> Sorry, I misunderstood.
> 
> You just applied it to your local tree for testing.
> 
> Then, I still think it is better to
> apply this series in a correct order.
> 
> The reason I sent this in a series was
> to make sure asm-offset headers are correctly
> cleaned up.

Yes looks good to me:

Acked-by: Tony Lindgren <[email-masked]>

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel